package com.github.sommeri.less4j.utils.w3ctestsextractor.selectors;

import java.util.HashSet;
import java.util.Set;

public class Links {
	
	public static Set<String> LINKS = new HashSet<String>();
	static {
		   LINKS.add("<a href=\"css3-modsel-1.xml\">Groups of selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-2.xml\">Type element selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-3.xml\">Universal selector</a>");
		   LINKS.add("<a href=\"css3-modsel-3a.xml\">Universal selector (no namespaces)</a>");
		   LINKS.add("<a href=\"css3-modsel-4.xml\">Omitted universal selector</a>");
		   LINKS.add("<a href=\"css3-modsel-5.xml\">Attribute existence selector</a>");
		   LINKS.add("<a href=\"css3-modsel-6.xml\">Attribute value selector</a>");
		   LINKS.add("<a href=\"css3-modsel-7.xml\">Attribute multivalue selector</a>");
		   LINKS.add("<a href=\"css3-modsel-7b.xml\">Attribute multivalue selector</a>");
		   LINKS.add("<a href=\"css3-modsel-8.xml\">Attribute value selectors (hyphen-separated attributes)</a>");
		   LINKS.add("<a href=\"css3-modsel-9.xml\">Substring matching attribute selector (beginning)</a>");
		   LINKS.add("<a href=\"css3-modsel-10.xml\">Substring matching attribute selector (end)</a>");
		   LINKS.add("<a href=\"css3-modsel-11.xml\">Substring matching attribute selector (contains)</a>");
		   LINKS.add("<a href=\"css3-modsel-13.xml\">Class selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-14.xml\">More than one class selector</a>");
		   LINKS.add("<a href=\"css3-modsel-14b.xml\">More than one class selector</a>");
		   LINKS.add("<a href=\"css3-modsel-14c.xml\">More than one class selector</a>");
		   LINKS.add("<a href=\"css3-modsel-14d.xml\">NEGATED More than one class selector</a>");
		   LINKS.add("<a href=\"css3-modsel-14e.xml\">NEGATED More than one class selector</a>");
		   LINKS.add("<a href=\"css3-modsel-15.xml\">ID selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-15b.xml\">Multiple ID selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-15c.xml\">Multiple IDs</a>");
		   LINKS.add("<a href=\"css3-modsel-16.xml\">:link pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-17.xml\">:visited pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-18.xml\">:hover pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-18a.xml\">:hover pseudo-class on links</a>");
		   LINKS.add("<a href=\"css3-modsel-18b.xml\">:hover pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-18c.xml\">:hover pseudo-class on links</a>");
		   LINKS.add("<a href=\"css3-modsel-19.xml\">:active pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-19b.xml\">:active pseudo-class on controls</a>");
		   LINKS.add("<a href=\"css3-modsel-20.xml\">:focus pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-21.xml\">:target pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-21b.xml\">:target pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-21c.xml\">:target pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-22.xml\">:lang() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-23.xml\">:enabled pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-24.xml\">:disabled pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-25.xml\">:checked pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-27.xml\">:root pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-27a.xml\">Impossible rules (:root:first-child, etc)</a>");
		   LINKS.add("<a href=\"css3-modsel-27b.xml\">Impossible rules (* html, * :root)</a>");
		   LINKS.add("<a href=\"css3-modsel-28.xml\">:nth-child() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-28b.xml\">:nth-child() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-29.xml\">:nth-last-child() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-29b.xml\">:nth-last-child() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-30.xml\">:nth-of-type() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-31.xml\">:nth-last-of-type() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-32.xml\">:first-child pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-33.xml\">:last-child pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-34.xml\">:first-of-type pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-35.xml\">:last-of-type pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-36.xml\">:only-child pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-37.xml\">:only-of-type pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-38.xml\">::first-line pseudo-element</a>");
		   LINKS.add("<a href=\"css3-modsel-39.xml\">::first-letter pseudo-element</a>");
		   LINKS.add("<a href=\"css3-modsel-39a.xml\">::first-letter pseudo-element with ::before pseudo-element</a>");
		   LINKS.add("<a href=\"css3-modsel-39b.xml\">::first-letter pseudo-element</a>");
		   LINKS.add("<a href=\"css3-modsel-39c.xml\">::first-letter pseudo-element with ::before pseudo-element</a>");
		   LINKS.add("<a href=\"css3-modsel-41.xml\">::before pseudo-element</a>");
		   LINKS.add("<a href=\"css3-modsel-41a.xml\">:before pseudo-element</a>");
		   LINKS.add("<a href=\"css3-modsel-42.xml\">::after pseudo-element</a>");
		   LINKS.add("<a href=\"css3-modsel-42a.xml\">:after pseudo-element</a>");
		   LINKS.add("<a href=\"css3-modsel-43.xml\">Descendant combinator</a>");
		   LINKS.add("<a href=\"css3-modsel-43b.xml\">Descendant combinator</a>");
		   LINKS.add("<a href=\"css3-modsel-44.xml\">Child combinator</a>");
		   LINKS.add("<a href=\"css3-modsel-44b.xml\">Child combinator</a>");
		   LINKS.add("<a href=\"css3-modsel-44c.xml\">Child combinator and classes</a>");
		   LINKS.add("<a href=\"css3-modsel-44d.xml\">Child combinatior and IDs</a>");
		   LINKS.add("<a href=\"css3-modsel-45.xml\">Direct adjacent combinator</a>");
		   LINKS.add("<a href=\"css3-modsel-45b.xml\">Direct adjacent combinator</a>");
		   LINKS.add("<a href=\"css3-modsel-45c.xml\">Direct adjacent combinator and classes</a>");
		   LINKS.add("<a href=\"css3-modsel-46.xml\">Indirect adjacent combinator</a>");
		   LINKS.add("<a href=\"css3-modsel-46b.xml\">Indirect adjacent combinator</a>");
		   LINKS.add("<a href=\"css3-modsel-47.xml\">NEGATED type element selector</a>");
		   LINKS.add("<a href=\"css3-modsel-48.xml\">NEGATED universal selector</a>");
		   LINKS.add("<a href=\"css3-modsel-49.xml\">NEGATED omitted universal selector is forbidden</a>");
		   LINKS.add("<a href=\"css3-modsel-50.xml\">NEGATED attribute existence selector</a>");
		   LINKS.add("<a href=\"css3-modsel-51.xml\">NEGATED attribute value selector</a>");
		   LINKS.add("<a href=\"css3-modsel-52.xml\">NEGATED attribute space-separated value selector</a>");
		   LINKS.add("<a href=\"css3-modsel-53.xml\">NEGATED attribute dash-separated value selector</a>");
		   LINKS.add("<a href=\"css3-modsel-54.xml\">NEGATED substring matching attribute selector on beginning</a>");
		   LINKS.add("<a href=\"css3-modsel-55.xml\">NEGATED substring matching attribute selector on end</a>");
		   LINKS.add("<a href=\"css3-modsel-56.xml\">NEGATED substring matching attribute selector on middle</a>");
		   LINKS.add("<a href=\"css3-modsel-57.xml\">NEGATED Attribute existence selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-57b.xml\">NEGATED Attribute existence selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-59.xml\">NEGATED class selector</a>");
		   LINKS.add("<a href=\"css3-modsel-60.xml\">NEGATED ID selector</a>");
		   LINKS.add("<a href=\"css3-modsel-61.xml\">NEGATED :link pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-62.xml\">NEGATED :visited pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-63.xml\">NEGATED :hover pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-64.xml\">NEGATED :active pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-65.xml\">NEGATED :focus pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-66.xml\">NEGATED :target pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-66b.xml\">NEGATED :target pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-67.xml\">NEGATED :lang() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-68.xml\">NEGATED :enabled pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-69.xml\">NEGATED :disabled pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-70.xml\">NEGATED :checked pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-72.xml\">NEGATED :root pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-72b.xml\">NEGATED :root pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-73.xml\">NEGATED :nth-child() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-73b.xml\">NEGATED :nth-child() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-74.xml\">NEGATED :nth-last-child() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-74b.xml\">NEGATED :nth-last-child() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-75.xml\">NEGATED :nth-of-type() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-75b.xml\">NEGATED :nth-of-type() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-76.xml\">NEGATED :nth-last-of-type() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-76b.xml\">NEGATED :nth-last-of-type() pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-77.xml\">NEGATED :first-child pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-77b.xml\">NEGATED :first-child pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-78.xml\">NEGATED :last-child pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-78b.xml\">NEGATED :last-child pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-79.xml\">NEGATED :first-of-type pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-80.xml\">NEGATED :last-of-type pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-81.xml\">NEGATED :only-child pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-81b.xml\">NEGATED :only-child pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-82.xml\">NEGATED :only-of-type pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-82b.xml\">NEGATED :only-of-type pseudo-class</a>");
		   LINKS.add("<a href=\"css3-modsel-83.xml\">Negation pseudo-class cannot be an argument of itself</a>");
		   LINKS.add("<a href=\"css3-modsel-86.xml\">Nondeterministic matching of descendant and child combinators</a>");
		   LINKS.add("<a href=\"css3-modsel-87.xml\">Nondeterministic matching of direct and indirect adjacent combinators</a>");
		   LINKS.add("<a href=\"css3-modsel-87b.xml\">Nondeterministic matching of direct and indirect adjacent combinators</a>");
		   LINKS.add("<a href=\"css3-modsel-88.xml\">Nondeterministic matching of descendant and direct adjacent combinators</a>");
		   LINKS.add("<a href=\"css3-modsel-88b.xml\">Nondeterministic matching of descendant and direct adjacent combinators</a>");
		   LINKS.add("<a href=\"css3-modsel-89.xml\">Simple combination of descendant and child combinators</a>");
		   LINKS.add("<a href=\"css3-modsel-90.xml\">Simple combination of direct and indirect adjacent combinators</a>");
		   LINKS.add("<a href=\"css3-modsel-90b.xml\">Simple combination of direct and indirect adjacent combinators</a>");
		   LINKS.add("<a href=\"css3-modsel-91.xml\">Type element selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-92.xml\">Type element selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-93.xml\">Type element selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-94.xml\">Universal selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-94b.xml\">Universal selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-95.xml\">Universal selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-96.xml\">Universal selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-96b.xml\">Universal selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-97.xml\">Attribute existence selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-97b.xml\">Attribute existence selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-98.xml\">Attribute value selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-98b.xml\">Attribute value selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-99.xml\">Attribute space-separated value selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-99b.xml\">Attribute space-separated value selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-100.xml\">Attribute dash-separated value selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-100b.xml\">Attribute dash-separated value selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-101.xml\">Substring matching attribute value selector on beginning with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-101b.xml\">Substring matching attribute value selector on beginning with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-102.xml\">Substring matching attribute value selector on end with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-102b.xml\">Substring matching attribute value selector on end with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-103.xml\">Substring matching attribute value selector on middle with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-103b.xml\">Substring matching attribute value selector on middle with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-104.xml\">Attribute existence selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-104b.xml\">Attribute existence selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-105.xml\">Attribute value selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-105b.xml\">Attribute value selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-106.xml\">Attribute space-separated value selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-106b.xml\">Attribute space-separated value selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-107.xml\">Attribute dash-separated value selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-107b.xml\">Attribute dash-separated value selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-108.xml\">Substring matching attribute selector on beginning with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-108b.xml\">Substring matching attribute selector on beginning with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-109.xml\">Substring matching attribute selector on end with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-109b.xml\">Substring matching attribute selector on end with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-110.xml\">Substring matching attribute selector on middle with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-110b.xml\">Substring matching attribute selector on middle with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-111.xml\">Attribute existence selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-111b.xml\">Attribute existence selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-112.xml\">Attribute value selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-112b.xml\">Attribute value selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-113.xml\">Attribute space-separated value selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-113b.xml\">Attribute space-separated value selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-114.xml\">Attribute dash-separated value selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-114b.xml\">Attribute dash-separated value selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-115.xml\">Substring matching attribute selector on beginning without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-115b.xml\">Substring matching attribute selector on beginning without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-116.xml\">Substring matching attribute selector on end without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-116b.xml\">Substring matching attribute selector on end without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-117.xml\">Substring matching attribute selector on middle without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-117b.xml\">Substring matching attribute selector on middle without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-118.xml\">NEGATED type element selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-119.xml\">NEGATED type element selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-120.xml\">NEGATED type element selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-121.xml\">NEGATED universal selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-122.xml\">NEGATED universal selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-123.xml\">NEGATED universal selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-123b.xml\">NEGATED universal selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-124.xml\">NEGATED Attribute value selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-124b.xml\">NEGATED Attribute value selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-125.xml\">NEGATED Attribute space-separated value selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-125b.xml\">NEGATED Attribute space-separated value selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-126.xml\">NEGATED Attribute dash-separated value selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-126b.xml\">NEGATED Attribute dash-separated value selector with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-127.xml\">NEGATED Substring matching attribute value selector on beginning with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-127b.xml\">NEGATED Substring matching attribute value selector on beginning with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-128.xml\">NEGATED Substring matching attribute value selector on end with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-128b.xml\">NEGATED Substring matching attribute value selector on end with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-129.xml\">NEGATED Substring matching attribute value selector on middle with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-129b.xml\">NEGATED Substring matching attribute value selector on middle with declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-130.xml\">NEGATED Attribute existence selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-130b.xml\">NEGATED Attribute existence selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-131.xml\">NEGATED Attribute value selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-131b.xml\">NEGATED Attribute value selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-132.xml\">NEGATED Attribute space-separated value selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-132b.xml\">NEGATED Attribute space-separated value selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-133.xml\">NEGATED Attribute dash-separated value selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-133b.xml\">NEGATED Attribute dash-separated value selector with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-134.xml\">NEGATED Substring matching attribute selector on beginning with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-134b.xml\">NEGATED Substring matching attribute selector on beginning with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-135.xml\">NEGATED Substring matching attribute selector on end with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-135b.xml\">NEGATED Substring matching attribute selector on end with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-136.xml\">NEGATED Substring matching attribute selector on middle with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-136b.xml\">NEGATED Substring matching attribute selector on middle with universal namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-137.xml\">NEGATED Attribute existence selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-137b.xml\">NEGATED Attribute existence selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-138.xml\">NEGATED Attribute value selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-138b.xml\">NEGATED Attribute value selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-139.xml\">NEGATED Attribute space-separated value selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-139b.xml\">NEGATED Attribute space-separated value selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-140.xml\">NEGATED Attribute dash-separated value selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-140b.xml\">NEGATED Attribute dash-separated value selector without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-141.xml\">NEGATED Substring matching attribute selector on beginning without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-141b.xml\">NEGATED Substring matching attribute selector on beginning without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-142.xml\">NEGATED Substring matching attribute selector on end without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-142b.xml\">NEGATED Substring matching attribute selector on end without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-143.xml\">NEGATED Substring matching attribute selector on middle without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-143b.xml\">NEGATED Substring matching attribute selector on middle without declared namespace</a>");
		   LINKS.add("<a href=\"css3-modsel-144.xml\">NEGATED :enabled:disabled pseudo-classes</a>");
		   LINKS.add("<a href=\"css3-modsel-145a.xml\">:nth-of-type() pseudo-class with hidden elements</a>");
		   LINKS.add("<a href=\"css3-modsel-145b.xml\">:nth-of-type() pseudo-class with hidden elements</a>");
		   LINKS.add("<a href=\"css3-modsel-146a.xml\">:nth-child() pseudo-class with hidden elements</a>");
		   LINKS.add("<a href=\"css3-modsel-146b.xml\">:nth-child() pseudo-class with hidden elements</a>");
		   LINKS.add("<a href=\"css3-modsel-147a.xml\">:nth-last-of-type() pseudo-class with collapsed elements</a>");
		   LINKS.add("<a href=\"css3-modsel-147b.xml\">:nth-last-of-type() pseudo-class with collapsed elements</a>");
		   LINKS.add("<a href=\"css3-modsel-148.xml\">:empty pseudo-class and text</a>");
		   LINKS.add("<a href=\"css3-modsel-149.xml\">:empty pseudo-class and empty elements</a>");
		   LINKS.add("<a href=\"css3-modsel-149b.xml\">:empty pseudo-class and empty elements</a>");
		   LINKS.add("<a href=\"css3-modsel-150.xml\">:empty pseudo-class and XML/SGML constructs</a>");
		   LINKS.add("<a href=\"css3-modsel-151.xml\">:empty pseudo-class and whitespace</a>");
		   LINKS.add("<a href=\"css3-modsel-152.xml\">:empty pseudo-class and elements</a>");
		   LINKS.add("<a href=\"css3-modsel-153.xml\">:empty pseudo-class and CDATA</a>");
		   LINKS.add("<a href=\"css3-modsel-154.xml\">Syntax and parsing</a>");
		   LINKS.add("<a href=\"css3-modsel-155.xml\">Syntax and parsing</a>");
		   LINKS.add("<a href=\"css3-modsel-155a.xml\">Syntax and parsing</a>");
		   LINKS.add("<a href=\"css3-modsel-155b.xml\">Syntax and parsing</a>");
		   LINKS.add("<a href=\"css3-modsel-155c.xml\">Syntax and parsing</a>");
		   LINKS.add("<a href=\"css3-modsel-155d.xml\">Syntax and parsing</a>");
		   LINKS.add("<a href=\"css3-modsel-156.xml\">Syntax and parsing</a>");
		   LINKS.add("<a href=\"css3-modsel-156b.xml\">Syntax and parsing</a>");
		   LINKS.add("<a href=\"css3-modsel-156c.xml\">Syntax and parsing</a>");
		   LINKS.add("<a href=\"css3-modsel-157.xml\">Syntax and parsing</a>");
		   LINKS.add("<a href=\"css3-modsel-158.xml\">Syntax and parsing</a>");
		   LINKS.add("<a href=\"css3-modsel-159.xml\">Syntax and parsing of new pseudo-elements</a>");
		   LINKS.add("<a href=\"css3-modsel-160.xml\">Syntax and parsing of unknown pseudo-classes</a>");
		   LINKS.add("<a href=\"css3-modsel-161.xml\">Syntax and parsing of unknown pseudo-classes and pseudo-elements</a>");
		   LINKS.add("<a href=\"css3-modsel-166.xml\">:first-letter with ::first-letter</a>");
		   LINKS.add("<a href=\"css3-modsel-166a.xml\">:first-letter with ::first-letter</a>");
		   LINKS.add("<a href=\"css3-modsel-167.xml\">:first-line with ::first-line</a>");
		   LINKS.add("<a href=\"css3-modsel-167a.xml\">:first-line with ::first-line</a>");
		   LINKS.add("<a href=\"css3-modsel-168.xml\">:before with ::before</a>");
		   LINKS.add("<a href=\"css3-modsel-168a.xml\">:before with ::before</a>");
		   LINKS.add("<a href=\"css3-modsel-169.xml\">:after with ::after</a>");
		   LINKS.add("<a href=\"css3-modsel-169a.xml\">:after with ::after</a>");
		   LINKS.add("<a href=\"css3-modsel-170.xml\">Long chains of selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-170a.xml\">Long chains of selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-170b.xml\">Long chains of selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-170c.xml\">Long chains of selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-170d.xml\">Long chains of selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-171.xml\">Classes: XHTML global class attribute</a>");
		   LINKS.add("<a href=\"css3-modsel-172a.xml\">Namespaced attribute selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-172b.xml\">Namespaced attribute selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-173a.xml\">Namespaced attribute selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-173b.xml\">Namespaced attribute selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-174a.xml\">Attribute selectors with multiple attributes</a>");
		   LINKS.add("<a href=\"css3-modsel-174b.xml\">NEGATED Attribute selectors with multiple attributes</a>");
		   LINKS.add("<a href=\"css3-modsel-175a.xml\">Parsing: Numbers in classes</a>");
		   LINKS.add("<a href=\"css3-modsel-175b.xml\">Parsing: Numbers in classes</a>");
		   LINKS.add("<a href=\"css3-modsel-175c.xml\">Parsing: Numbers in classes</a>");
		   LINKS.add("<a href=\"css3-modsel-176.xml\">Combinations: classes and IDs</a>");
		   LINKS.add("<a href=\"css3-modsel-177a.xml\">Parsing : vs ::</a>");
		   LINKS.add("<a href=\"css3-modsel-177b.xml\">Parsing : vs ::</a>");
		   LINKS.add("<a href=\"css3-modsel-178.xml\">Parsing: :not and pseudo-elements</a>");
		   LINKS.add("<a href=\"css3-modsel-179.xml\">::first-line on inlines</a>");
		   LINKS.add("<a href=\"css3-modsel-179a.xml\">::first-line after &lt;br&gt;</a>");
		   LINKS.add("<a href=\"css3-modsel-180a.xml\">::first-letter after &lt;br&gt;</a>");
		   LINKS.add("<a href=\"css3-modsel-181.xml\">Case sensitivity</a>");
		   LINKS.add("<a href=\"css3-modsel-182.xml\">Namespaces and \\: in selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-183.xml\">Syntax and parsing of class selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-184a.xml\">Ends-with attribute selector with empty value</a>");
		   LINKS.add("<a href=\"css3-modsel-184b.xml\">Starts-with attribute selector with empty value</a>");
		   LINKS.add("<a href=\"css3-modsel-184c.xml\">Contains attribute selector with empty value</a>");
		   LINKS.add("<a href=\"css3-modsel-184d.xml\">NEGATED ends-with attribute selector with empty value</a>");
		   LINKS.add("<a href=\"css3-modsel-184e.xml\">NEGATED starts-with attribute selector with empty value</a>");
		   LINKS.add("<a href=\"css3-modsel-184f.xml\">NEGATED contains attribute selector with empty value</a>");
		   LINKS.add("<a href=\"css3-modsel-d1.xml\">NEGATED Dynamic handling of :empty</a>");
		   LINKS.add("<a href=\"css3-modsel-d1b.xml\">Dynamic handling of :empty</a>");
		   LINKS.add("<a href=\"css3-modsel-d2.xml\">Dynamic handling of combinators</a>");
		   LINKS.add("<a href=\"css3-modsel-d3.xml\">Dynamic handling of attribute selectors</a>");
		   LINKS.add("<a href=\"css3-modsel-d4.xml\">Dynamic updating of :first-child and :last-child</a>");

	}

}
